<?php

namespace goodboyalex\php_components_pack\enums;

use goodboyalex\php_components_pack\traits\EnumExtensionsTrait;

/**
 * Перечисление параметров для сравнения версий на промежутке.
 *
 * @author Александр Бабаев
 * @package php_components_pack
 * @version 1.0
 * @since 1.0.27
 */
enum VersionCompareRangeOption: int
{
    // Подключаю расширение для Enum
    use EnumExtensionsTrait;

    /**
     * Левая граница включается в диапазон.
     */
    case LeftBorderIncluded = 0;

    /**
     * Правая граница включается в диапазон.
     */
    case RightBorderIncluded = 1;
}